import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const databasebackupwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => DatabaseBackupWhereInputObjectSchema), z.lazy(() => DatabaseBackupWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => DatabaseBackupWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => DatabaseBackupWhereInputObjectSchema), z.lazy(() => DatabaseBackupWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const DatabaseBackupWhereInputObjectSchema: z.ZodType<Prisma.DatabaseBackupWhereInput> = databasebackupwhereinputSchema as unknown as z.ZodType<Prisma.DatabaseBackupWhereInput>;
export const DatabaseBackupWhereInputObjectZodSchema = databasebackupwhereinputSchema;
